This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 861058 - After installing a new plug-in, a server restart is required to make manual add work [NEEDINFO]
After installing a new plug-in, a server restart is required to make manual a...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
All All
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 08:45 EDT by Andreas Veithen
Modified: 2013-07-01 07:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
hrupp: needinfo? (andreas.veithen)


Attachments (Terms of Use)

  None (edit)
Description Andreas Veithen 2012-09-27 08:45:19 EDT
Scenario: user installs a new agent plug-in that defines a new server type and wants to manually import a resource of that type.

Problem: when clicking on the "Import" button in the inventory view, the new server type doesn't appear in the pop-up menu. To refresh that list, it is necessary to restart the RHQ server.
Comment 1 Andreas Veithen 2012-10-01 09:20:57 EDT
I noticed that similar issues exist also in other areas. E.g. after a plug-in upgrade that adds new properties to a resource configuration, I had troubles making RHQ display the new properties (note I checked that they were present in the DB). Probably configuration definitions are cached somewhere and that cache should be flushed after a plug-in upgrade.
Comment 2 Heiko W. Rupp 2013-07-01 07:54:25 EDT
The issue you are seeing here is caching of (meta)data in the GWT app and thus in the browser.
"Just" reloading the UI should be enough -- when you restart the server, you normally get "disconnected" from it and have to refresh and re-login.

Does that solve your issue? I know this is not perfect, but luckily one does not re-deploy plugins that often.

Note You need to log in before you can comment on or make changes to this bug.